LDCONFIG(8)

NOM
ldconfig - Configuration de l'éditeur de liens dynamiques

SYNOPSIS
/sbin/ldconfig [-nNvXV] [-f configuration] [-C cache] [-r racine] répertoire ...
/sbin/ldconfig -l [-v] bibliothèque ...
/sbin/ldconfig -p

DESCRIPTION
ldconfig crée les liens nécessaires et met en cache les bibliothèques partagées les plus récentes trouvées dans les répertoires indiqués sur la ligne de commande, dans le fichier /etc/ld.so.conf et dans les répertoires sûrs /lib et /usr/lib (sur certaines architectures 64 bits telle x86-64, /lib et /usr/lib sont des répertoires sûrs pour les bibliothèques 32 bits, tandis que /lib64 et /usr/lib64 sont utilisés pour les bibliothèques 64 bits.

Le cache est utilisé par l’éditeur de liens, ld.so ou ld-linux.so. ldconfig vérifie les en-têtes et les noms de fichier des bibliothèques qu'il trouve lors de la détermination des versions devant mettre à jour leurs liens.

ldconfig essaye de déduire le type de bibliothèques ELF (c'est-à-dire, libc5 ou libc6/glibc) en se basant sur quelle bibliothèque C, si tel est le cas, la bibliothèque est liée.

Certaines bibliothèques existantes ne contiennent pas assez d'informations pour déduire leur type. Par conséquent, le format du fichier /etc/ld.so.conf permet d'indiquer le type attendu. Cela ne doit servir que pour les bibliothèques ELF que nous ne pouvons pas déterminer. Le format est « répertoire=TYPE », où TYPE peut être libc4, libc5 ou libc6. (Cette syntaxe fonctionne aussi sur la ligne de commande). Les espaces ne sont pas autorisées. Consultez aussi l'option -p. ldconfig devrait normalement être exécuté par le superutilisateur, car des permissions en écriture sont nécessaires sur des répertoires et des fichiers qui lui appartiennent.

Remarquez que ldconfig ne recherchera que les fichiers dénommés lib*.so* (pour les objets partagés normaux) ou ld-*.so* (pour l’éditeur de liens dynamiques lui-même). Les autres fichiers seront ignorés. Aussi, ldconfig s’attend à un certain modèle de configuration de liens dynamiques, tel que cet exemple où le fichier du milieu (libtoto.so.1 ici) est le SONAME de la bibliothèque :

    libtoto.so -> libtoto.so.1 -> libtoto.so.1.12

Un manquement dans le suivi de ce modèle peut aboutir à des problèmes de compatibilité après une mise à niveau.

OPTIONS

-c format, --format=format
    Depuis la version 2.2 de la glibc, le format de cache à utiliser est old, new ou compat. Depuis la version 2.32, la valeur par défaut est new. Avant cela, c’était compat.

-C cache
    Utiliser le cache indiqué plutôt que /etc/ld.so.cache.

-f configuration
    Utiliser le fichier configuration indiqué plutôt que /etc/ld.so.conf.

-i, --ignore-aux-cache
    Depuis la version 2.7 de la glibc, ignorer le fichier auxiliaire de cache.

-l  Depuis la version 2.2 de la glibc, mode bibliothèque. Lier manuellement les bibliothèques particulières (experts uniquement).

-n  Ne traiter que les répertoires indiqués sur la ligne de commande. Ne pas s'occuper des répertoires sûrs ni de ceux indiqués dans /etc/ld.so.conf. Implique l'option -N.

-N  Ne pas reconstruire le cache. Si l'option -X n'est pas indiquée, les liens sont quand même mis à jour.

-p, --print-cache
    Afficher les listes des répertoires et des bibliothèques potentielles enregistrées dans le cache actuel.

-r racine
    Se déplacer dans le répertoire racine indiqué et l’utiliser.

-v, --verbose
    Mode détaillé. Afficher le numéro de version actuelle, le nom de chaque répertoire au fur et à mesure du parcours, et les liens qui sont créés. Peut surcharger le mode silencieux.

-V, --version
    Afficher la version du programme.

-X  Ne pas mettre à jour les liens. Si l'option -N n'est pas indiquée, le cache est quand même reconstruit.

FICHIERS
/lib/ld.so
    Éditeur de liens dynamiques
/etc/ld.so.conf
    Fichier contenant une liste de répertoires, un par ligne, où chercher les bibliothèques.
/etc/ld.so.cache
    Fichier contenant une liste ordonnée des bibliothèques trouvées dans les répertoires indiqués dans /etc/ld.so.conf, ainsi que celles trouvées dans les répertoires sûrs.

VOIR AUSSI
ldd(1), ld.so(8)

COLOPHON
Cette page fait partie de la publication 5.10 du projet man-pages Linux. Une description du projet et des instructions pour signaler des anomalies et la dernière version de cette page peuvent être trouvées à l'adresse https://www.kernel.org/doc/man-pages/.

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <https://www.blaess.fr/christophe/>, Stéphan Rafin <stephan.rafin@laposte.net>, Thierry Vignaud <tvignaud@mandriva.com>, François Micaux, Alain Portal <aportal@univ-montp2.fr>, Jean-Philippe Guérard <fevrier@tigreraye.org>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Thomas Huriaux <thomas.huriaux@gmail.com>, Nicolas François <nicolas.francois@centraliens.net>, Florentin Duneau <fduneau@gmail.com>, Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Denis Barbier <barbier@debian.org>, David Prévot <david@tilapin.org> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.